# GimpUi.ColorDisplay

    const GimpUi = imports.gi.GimpUi;

    let colorDisplay = new GimpUi.ColorDisplay({
        color_config: value,
        color_managed: value,
        enabled: value,
    });

Functions and definitions for creating pluggable GIMP display color correction modules.

## Hierarchy

- GObject.Object
  - GimpUi.ColorDisplay

## Methods

- GimpUi.ColorDisplay.prototype.changed
- GimpUi.ColorDisplay.prototype.clone
- GimpUi.ColorDisplay.prototype.configure
- GimpUi.ColorDisplay.prototype.configure_reset
- GimpUi.ColorDisplay.prototype.convert_buffer
- GimpUi.ColorDisplay.prototype.get_config
- GimpUi.ColorDisplay.prototype.get_enabled
- GimpUi.ColorDisplay.prototype.get_managed
- GimpUi.ColorDisplay.prototype.load_state
- GimpUi.ColorDisplay.prototype.save_state
- GimpUi.ColorDisplay.prototype.set_enabled

## Properties

- color-config
- color-managed
- enabled

## Signals

- changed

## Virtual functions

- GimpUi.ColorDisplay::configure
- GimpUi.ColorDisplay::convert_buffer